Subject: Re: [PATCHv2 3/3] git-add: rename -u to -a

From: Michael J Gruber <[email-masked]>
Date: Mon, 28 Feb 2011 11:03:02 +0100

Tor Arntsen venit, vidit, dixit 28.02.2011 11:01:
> On Mon, Feb 28, 2011 at 10:49, Michael J Gruber
> <[email-masked]> wrote:
> 
>> No no, I said "add" would default to what "-u" does now (see below).
> 
> add -u adds untracked files. An explicit operation by the user. I hope
> you really don't mean that just 'git add' would add all untracked
> files? That would cause a terrible mess if someone just enters 'git
> add' (which they could very well do in other situations than just
> after 'git init', there are many casual git users out there.)

Please, go read what (thread) you're replying to, then reply. I'm not
responsible for other people cutting my posts and turning around the
rest. (Also, you are wrong about "add -u".)

Michael